<%= form_tag('/messages', method: 'post') do %>
  <div>
    <span>Message Kind</span><br />
    <%= radio_button_tag(:message_kind, 'order_created', true) %>
    <%= label_tag(:message_kind_order_created, 'Order Created') %><br />
    <%= radio_button_tag(:message_kind, 'order_shipped') %>
    <%= label_tag(:message_kind_order_shipped, 'Order Shipped') %><br />
  </div>

  <br />

  <div>
    <%= label_tag(:target_messageable, 'Target Messageable') %>
    <%= text_field_tag(:target_messageable, @target_messageable) %>
  </div>

  <br />

  <div>
    <%= check_box_tag('immediate') %>
    <%= label_tag(:immediate, 'Immediate Delivery') %><br />
  </div>

  <br /><br />

  <p><b>The fields below will be used during the server callback.</b></p>

  <br />

  <div>
    <span>Contact Kind</span><br />
    <%= radio_button_tag(:contact_kind, 'email', true) %>
    <%= label_tag(:contact_kind_email, 'Email') %><br />
    <%= radio_button_tag(:contact_kind, 'text_message') %>
    <%= label_tag(:contact_kind_text_message, 'Text Message') %>
  </div>

  <br />

  <div>
    <%= label_tag(:to_contact_value, 'To Contact Value') %>
    <%= text_field_tag(:to_contact_value, @to_contact_value) %>
  </div>

  <br />

  <div>
    <%= label_tag(:content, 'Message Content') %>
    <%= text_field_tag(:content, @content) %>
  </div>

  <br />

  <div>
    <%= label_tag(:subject, 'Message Subject (optional)') %>
    <%= text_field_tag(:subject, @subject) %>
  </div>

  <br /><br />

  <%= submit_tag('Send Message') %>
<% end %>



